#include "synapseTest.h"

void SynapseTest::setUp(){
 // construction du test
    Syn1 = new Synapse();
    Syn2 = new Synapse(100.0);
}

void SynapseTest::tearDown(){
 // destruction du test
    delete Syn1;
    delete Syn2;
}

void SynapseTest::testInit(){
 // verifie les assignations du constructeur de la classe
    CPPUNIT_ASSERT( Syn1->getWeight()==0.0 );
    CPPUNIT_ASSERT( Syn2->getWeight()==100.0 );
}

void SynapseTest::testOperotorAssign(){
    Synapse bla(3.0);
    bla = 5.0;
    CPPUNIT_ASSERT(bla.getWeight()==5.0);
}
